Package org.italiangrid.voms.store.impl

# Class DefaultLSCFileParser

java.lang.Object
org.italiangrid.voms.store.impl.DefaultLSCFileParser

All Implemented Interfaces:
  `LSCFileParser`

public class DefaultLSCFileParser extends Object implements LSCFileParser
The default implementation for the LSC file parser.

Author:
  Andrea Ceccanti

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MALFORMED_LSC_FILE_ERROR_TEMPLATE`

## Constructor Summary

Constructors
Constructor
Description
`DefaultLSCFileParser()`

## Method Summary

Modifier and Type
Method
Description
`LSCFile`
`parse(String vo, String hostname, File file)`
Parses an LSC file.
`LSCFile`
`parse(String vo, String hostname, InputStream is)`
Parses an LSC file from a generic input stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MALFORMED_LSC_FILE_ERROR_TEMPLATE

public static final String MALFORMED_LSC_FILE_ERROR_TEMPLATE

See Also:
  - Constant Field Values

## Constructor Details

### DefaultLSCFileParser

public DefaultLSCFileParser()

## Method Details

### parse

public LSCFile parse(String vo, String hostname, InputStream is)
Description copied from interface: `LSCFileParser`
Parses an LSC file from a generic input stream.

Specified by:
  `parse` in interface `LSCFileParser`
Parameters:
  `vo` - the name of the VO this LSC file is about
  `hostname` - the name of host this LSC file is about
  `is` - an `InputStream` that contains the LSC information
Returns:
  an `LSCFile` object

### parse

public LSCFile parse(String vo, String hostname, File file)
Description copied from interface: `LSCFileParser`
Parses an LSC file.

Specified by:
  `parse` in interface `LSCFileParser`
Parameters:
  `vo` - the name of the VO this LSC file is about
  `hostname` - the name of host this LSC file is about
  `file` - the LSC file
Returns:
  an `LSCFile` object